Soporte » Multisitio » Mensaje de error: Las respuesta no es una respuesta JSON válida

  • Hola, desde que he actualizado a 5.3 mi multisite, al ir a publicar o guardar el borrador de un post (o al hacer vista previa), obtengo el siguiente error:
    «Ha fallado la actualización. Mensaje de error: Las respuesta no es una respuesta JSON válida.» y naturalmente no se guarda.
    ¿Alguna idea?

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 10 respuestas - 31 de 40 (de 40 total)
  • Hola! tengo el mismo problema y encima estoy recontra nuevo en esto, no entiendo nada. No descarge plugings ni nada por el estilo

    @pablo-moratinos revisando hoy y, haciendo una reinstalación de WordPress 5.3.2, desactivando los permalinks (dejando los sencillos), y activando el plugin «No Gutemberg», el comportamiento del sitio se normalizó.

    Ahora todas las páginas se actualizan correctamente y todo pareciera funcionar en orden.

    Te aviso, para que revises si tu fallo se soluciona igualmente con mis acciones.

    Mismo problema… voy a probar el plugin no gutemberg como indicas.

    Aunque en realidad yo no estoy en Cdmon, estoy en Strato. WP 5.3.2 , tema customizr, PHP 7.3

    Bueno, he podido publicar la entrada con el editor clásico al instalar el plugin No Gutemberg, pero no es la solución ideal. No puedo incluir productos destacados de WooCommerce por ejemplo. Quizás sea la última versión de Woo la que me de dando problemas. A ver si alguien más tiene una solución.

    A mi me daba el mismo error por un shortcode que devolvía el valor usando ‘echo’ en lugar de utilizar return. No creo que sea eso pero…

    Yo sigo igual y ni uso WooCommerce ni shortcodes de ningún tipo.
    «No Gutenberg» no es una alternativa viable, ya que precisamente quiero usar Gutenberg 🙂

    Hola!, llevo días siguiendo este hilo y realmente no encuentro una solución llevamos años trabajando con wordpress y no habiamos tenido este inconveniente, el detalle es que ya realizamos un backup y lo cargamos en subdominios diferentes y nos marca el mismo error del JSON al querer actualizar las entradas, ya utilizamos el plugin DESACTVAR GUTEMBERG pero al actualizar nos arroja un error 403 así que lo deshabilitamos, ya hicimos actualización del tema, incluso cargamos otro tema y tuvimos el mismo error, se deshabilitaron plugins y seguimos con lo mismo…
    Ya también regresamos a una versión del 2019 de wordpress y ahora resulta que seguimos en las mismas…
    Creen que sea definitivamente problema del HOSTING, tenemos que hacer alguna actualización o cambios en archivos de php.ini o de otras configuraciones?, ojalá todo se resuelva con algún parche de actualización de wordpress, mientras nuestra unica solución ha sido moverle de manera directa a la base de datos y hacer todo a patin

    @darkkail Hazlo dentro de la función en que la quieras ocultar el HTML para que se evite el error: «Ha fallado la actualización. Mensaje de error: Las respuesta no es una respuesta JSON válida».

    Encontre buenos ejemplos en: https://stackoverflow.com/questions/4401949/whats-the-use-of-ob-start-in-php

    <?php ob_start(); ?>
    <!– HTML de shortcode –>
    La variable $output contiene todo el codigo HTML
    <?php $output = ob_get_clean(); ?>
    Para mostrar todo ese contenido mediante el ShortCode se utiliza el return
    <?php return $output; ?>

    Por lo que vi cualquier contenido HTML o echo (Algo que muestre algo en pantalla) te mostrara ese error con Gutemberg.

    • Esta respuesta fue modificada hace 1 semana, 3 días por bremdows.
    • Esta respuesta fue modificada hace 1 semana, 3 días por bremdows.

    La solución que me sirvió a mi fue ir a los plugins instalados y actualizar la versión del elementor. Luego de eso todo funciono con completa normalidad

Viendo 10 respuestas - 31 de 40 (de 40 total)
  • Debes estar registrado para responder a este debate.